
function checkmod()
{
   if(register.trade.value=="") 
   	{
		alert("请填写企业所属行业！");
		document.register.trade.focus();		
		return false;
	}
   else if(register.cxz.value=="") 
   {
		alert("请选择企业性质！");
		document.register.cxz.focus();		
		return false;
	}
    else if(register.hukouprovince.value=="") 
	{
		alert("请选择企业所在区域！");
		document.register.hukouprovince.focus();		
		return false;
	}
   else if (register.hukoucapital.value=="")
   { 
		alert("请输入企业所在城市！");
		document.register.hukoucapital.focus();		
	    return false;
	}
   else if (isInvalidDate(register.fdate.value,"-")==true){
    	alert("请正确填写公司的成立日期（例如:1981-11-12）！");
    	document.register.fdate.focus();
    //return false;
    }

   else if (isNaN(register.zip.value)){
		alert("请正确填写邮政编码！");
		document.register.zip.focus();		
		return false;
    }
   else  if (isNaN(register.fund.value)){
		alert("请正确填写注册资金栏！");
		document.register.fund.focus();		
		return false;
    }
   else if (checkstring("通讯地址", document.register.address.value, false)) {
    document.register.address.focus();
    return false;
    }
   else if (register.cname.value=="") {
		alert("请输入企业名称！");
		document.register.cname.focus();		
		return (false);
	}
   else if (register.zip.value=="") {
		alert("请输入邮政编码！");
		document.register.zip.focus();		
		return (false);
	}
   else if (register.zip.value.length!==6) {
		alert("请正确填写邮政编码！");
		document.register.zip.focus();		
		return (false);
	}
   else if (checkstring("联系人姓名", document.register.pname.value, false)) {
   		 document.register.pname.focus();
    	 return false;   
    }
   else if (checkstring("联系电话", document.register.phone.value, false)) {
    	document.register.phone.focus();
   		 return false;   
    }
  else  if (document.register.fax.value.search(/[<>]/gi) != -1) {
    	alert("传真中包含非法字符<>");
    	return false;   
    }
   else if (checkemail("电子邮件", document.register.email.value, false)) {
    	document.register.email.focus();
    	return false;   
    }
  else  if (document.register.http.value.search(/[<>]/gi) != -1)
   {
    	alert("公司网址中包含非法字符<>");
    	document.register.http.focus();
		return false;   
    }
	else
	{
		 document.register.submit();
   }
}

function check()
{
    if (checkstring("公司名称", document.register.cname.value, false)) {
    document.register.cname.focus();
    return false;   
    }
    checkmod()
}

